<?php
define('ISDVBBS', true);

include_once 'global.php';

require_once INC_PATH.'BoardCache.class.php';
head();

if ( strpos($sysinfo['flag'],'56,') === false ){
	show_msg($lang['readme_tit'],$lang['error.str1'],0,'','','','');
	exit;
}

$cache =& new BoardCache($db);



$cache->createAll();

$cache->createforumlink();

$cache->createmailconfig();

$cache->createForumSetting();

$cache->createusergroup();

$cache->createboardgroup();

$cache->createuserpermission();

$cache->createforumface();

$cache->createforumpic();

$cache->createspaceConfig();
Create_index_forumnum();//20070523
Create_index_forumnum_group();
Create_Forum_Topic_List(2,'');
Create_Forum_Group_top(5);
del_static_cache();
$lang = load_lang($lang, 'reloadcache');

CreateSavvy_BoarderInfo();

include printout('reloadcache');

footer();
?>